# %%
from scipy.optimize import linprog

c = [-7, -4]            # Minimierung (-7x1 - 4x2), da linprog immer minimiert
A = [[3, 2], [6, 2]]    # Gewichte der Nebenbedingungen links des =<
b = [15, 20]            # Grenze der Nebenbedingungen rechts des =<
x0_bounds = (0, 10)     # Grenzen x_0
x1_bounds = (0, 7)      # Grenzen x_1


res = linprog(c,        # Gewichte der Linearen Zielfunktion
            A_ub=A,     # Nebenbedingungen als upper bound formuliert
            b_ub=b,     # Nebenbedingungen als upper bound formuliert
            bounds=[x0_bounds, x1_bounds], # Grenzen für die Entscheidungsvariablen
            method='highs',             # Algorithmus inzwischen nicht mehr Simplex als standard
            integrality = [1,1],        # Optional, lässt nur ganzzahlige Lösungen zu
            options={'disp': True})

print("Status:", res.message)
print("Produkt 1 (x1):", res.x[0])
print("Produkt 2 (x2):", res.x[1])
print("Gewinn:", -res.fun)  # Beachte das Minuszeichen für die Maximierung
